* {
  margin: 0;
  padding: 0;
  border: 0;
  outline: 0;
  background-repeat: no-repeat;
  background-position: center;
  background-size: contain;
  color: dimgray;
  box-sizing: border-box;
  scroll-behavior: smooth;
  transition: color ease 0.25s;
  -webkit-tap-highlight-color: transparent;
  &::selection {
    color: white;
    background-color: #13d4b7;
  }
}
html,
body,
#__next {
  width: 100%;
  height: auto !important;
  min-height: 100vh;
  background-attachment: fixed !important;
}
body {
  &.freeze {
    height: 100vh;
    overflow: hidden;
  }
}
main{
  min-width: var(--size-container-min-width);
}
a {
  text-decoration: none;
  color: black;
}
button:not(.custom_button) {
  display: inline-block;
  position: relative;
  cursor: pointer;
  min-height: 36px;
  min-width: 88px;
  line-height: 36px;
  vertical-align: middle;
  -webkit-box-align: center;
  -webkit-align-items: center;
  -ms-grid-row-align: center;
  align-items: center;
  text-align: center;
  border-radius: 3px;
  box-sizing: border-box;
  padding: 0 6px;
  white-space: nowrap;
  //text-transform: uppercase;
  font-weight: 500;
  font-style: inherit;
  font-variant: inherit;
  font-family: inherit;
  text-decoration: none;
  overflow: hidden;
  cursor: pointer;
  box-shadow: 0 0 1px rgba(0, 0, 0, 0.1);
  /*box-shadow: 0 2px 5px 0 rgba(0,0,0,0.26);*/
  &:not([class*="submit"]):not([class*="cancel"]) {
    border: 0;
  }
  &:disabled {
    background-color: #e9e9e9 !important;
    cursor: not-allowed !important;
    &, & * {
      color: #a9afbd;
      fill: #a9afbd;
    }
  }
  @media print {
    & {
      display: none !important;
    }
  }
}
ul {
  list-style-type: none;
  -webkit-margin-before: 0;
  -webkit-margin-after: 0;
}
li {
  -webkit-margin-before: 0;
  -webkit-margin-after: 0;
}
input {
  max-width: 100%;
  min-height: 24px;
  line-height: 24px;
  text-align: initial;
  padding: 0 2px;
  box-sizing: border-box;
  border-radius: 2px;
  border: 1px solid #e6e6e6;
  color: var(--grayscale-color);
  background-color: var(--grayscale-background);
  &[type=range]{
    width: 300px;
    border: 1px solid transparent;
    -webkit-appearance: none;
    &:focus {
      outline: none;
      &::-webkit-slider-runnable-track {
        background: #ccc;
      }
      &::-moz-range-track {
        background: #ccc;
      }
      &::-ms-fill-lower {
        background: #888;
      }
      &::-ms-fill-upper {
        background: #ccc;
      }
    }
    &::-webkit-slider-runnable-track {
      width: 300px;
      height: 5px;
      background: #ddd;
      border: none;
      border-radius: 3px;
    }
    &::-webkit-slider-thumb {
      -webkit-appearance: none;
      border: none;
      height: 16px;
      width: 16px;
      border-radius: 50%;
      background: goldenrod;
      margin-top: -4px;
    }
    &::-moz-range-track {
      width: 300px;
      height: 5px;
      background: #ddd;
      border: none;
      border-radius: 3px;
    }
    &::-moz-range-thumb {
      border: none;
      height: 16px;
      width: 16px;
      border-radius: 50%;
      background: goldenrod;
    }
    &:-moz-focusring{
      outline: 1px solid white;
      outline-offset: -1px;
    }
    &::-ms-track {
      height: 5px;
      background: transparent;
      border-color: transparent;
      border-width: 6px 0;
      color: transparent;
    }
    &::-ms-fill-lower {
      background: #777;
      border-radius: 10px;
    }
    &::-ms-fill-upper {
      background: #ddd;
      border-radius: 10px;
    }
    &::-ms-thumb {
      border: none;
      height: 16px;
      width: 16px;
      border-radius: 50%;
      background: goldenrod;
    }
  }
  &[type="search"]::-webkit-search-decoration,
  &[type="search"]::-webkit-search-cancel-button,
  &[type="search"]::-webkit-search-results-button,
  &[type="search"]::-webkit-search-results-decoration {
    -webkit-appearance:none;
  }
  &[placeholder="____/__/__"],
  &[placeholder="____-__-__"] {
    direction: ltr;
    text-align: left;
  }
  &:disabled {
    background-color: var(--grayscale-background-input-disable) !important;
    background-image: url("/images/pattern/dot.png");
    background-size: 8px;
    background-position: center;
    background-repeat: repeat;
    background-blend-mode: darken;
    cursor: not-allowed !important;
  }
  &::placeholder {
    color: var(--grayscale-color);
  }
}
select {
  max-width: 100%;
  padding: 0 5px;
  box-sizing: border-box;
  border-radius: 2px;
  border: 1px solid #e6e6e6;
  background-color: white;
  appearance: none;
  -moz-appearance: none;
  -webkit-appearance: none;
  &::-ms-expand {
    display: none;
  }
}
textarea {
  resize: vertical;
  padding: 0 2px;
  box-sizing: border-box;
  border-radius: 2px;
  color: var(--grayscale-color);
  border: 1px solid #e6e6e6;
}
span {
  word-break: break-word;
}
svg.defaultColors {
  * {
    fill: inherite !important;
  }
}
pre {
  white-space: pre-wrap;
}
b, strong{
  font-weight: bold;
}
table{
  border: 1px solid gainsboro;
  border-collapse: collapse;
  th, td{
    padding: 5px;
    border: 1px solid var(--grayscale-color-very-light);
  }
}

input::selection,
textarea::selection,
p::selection,
span::selection,
strong::selection,
a::selection,
li::selection {
  color: white;
  background-color: #13d4b7;
  * {
    color: white;
  }
}

